Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364959 - Review Request: nodejs-ware - Easily create your own middleware layer
Summary: Review Request: nodejs-ware - Easily create your own middleware layer
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1364958 1494224
Blocks: nodejs-reviews Node-RED 1364647
TreeView+ depends on / blocked
 
Reported: 2016-08-08 09:47 UTC by Jared Smith
Modified: 2017-09-22 13:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-22 13:28:58 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2016-08-08 09:47:18 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-ware/nodejs-ware.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-ware/nodejs-ware-1.3.0-1.fc26.src.rpm
Description: Easily create your own middleware layer
Fedora Account System Username: jsmith

Comment 1 Jared Smith 2016-12-19 21:43:59 UTC
Can you please finish this package review?

Comment 2 Robert-André Mauchin 2017-09-20 14:13:39 UTC
 - Package is missing:

BuildRequires:	npm(wrap-fn)  


 - Had to fix the test to match package.json, otherwise they fail:

%if 0%{?enable_tests}
mkdir -p node_modules/.bin/
ln -s %{_bindir}/mocha node_modules/.bin/mocha
make test
%else

Comment 3 Jared Smith 2017-09-21 18:01:04 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-ware/nodejs-ware.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-ware/nodejs-ware-1.3.0-1.fc28.src.rpm

Even with your changes, I'm still having problems with the tests on this package :-(

Comment 4 Robert-André Mauchin 2017-09-22 12:41:22 UTC
Package accepted.

Comment 5 Jared Smith 2017-09-22 13:05:23 UTC
'Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1516'

Comment 6 Gwyn Ciesla 2017-09-22 13:09:33 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-ware

Comment 7 Jared Smith 2017-09-22 13:28:58 UTC
In rawhide, closing bug


Note You need to log in before you can comment on or make changes to this bug.